@import "../../../../styles/constants";

.checkout {
  padding-top: 40px;

  h1 {
    font-size: 26px;
    margin-bottom: 20px;
    font-weight: 600;
  }

  &__detail {
    margin-bottom: 50px;
    padding: 40px;
    display: flex;

    img {
      width: 25vw;
      height: 15vw;
      object-fit: cover;
      margin-right: 30px;
    }

    &__info {
      h1 {
        font-size: 28px;
        margin-bottom: 20px;
        font-weight: 600;
        color: $light-half-black;
      }
    }
  }

  &__form {
    padding: 40px 60px;
    margin-bottom: 40px;
    position: relative;

    &__warning {
      display: flex;
      justify-content: space-between;

      &__spacer {
        height: 50px;
      }

      &__text {
        color: $red;

        small {
          color: black;
        }
      }
    }

    &--loading {
      @include flex-center;
      height: 40vh;
      margin-bottom: 40px;
    }

    h5 {
      font-weight: 600;
      font-size: 22px;
    }

    &__row {
      display: flex;
      position: relative;
      margin-bottom: 40px;

      &__anchor {
        position: absolute;
        top: -100px;

      }
    }

    &__label {
      font-weight: 600;
      width: 30%;
      font-size: map-get($map: $font-sizes, $key: "medium");

      &__type {
        color: $grey;
        font-weight: normal;
      }

      &__notes {
        font-size: map-get($map: $font-sizes, $key: "normal");
        font-weight: normal;
        color: $grey;
      }
    }

    &__info {
      font-size: map-get($map: $title-sizes, $key: 'normal');
      width: 70%;
      font-weight: 500;
    }

    &__input {
      width: 70%;
      margin-bottom: 0 !important;
      position: relative;
      font-size: map-get($map: $font-sizes, $key: "medium");

      input {
        width: 100%;
      }

      //small {
      //  left: 0;
      //  bottom: -20px;
      //  position: absolute;
      //}
    }
  }

  &__payment {
    padding: 40px;
    margin-bottom: 40px;

    &__column {
      margin-bottom: 50px;
      position: relative;

      h4 {
        font-size: 22px;
        font-weight: 600;
        margin-bottom: 40px;
      }
    }

    &__option {
      display: flex;
      margin-bottom: 30px;

      &__title {
        font-size: 18px;
        font-weight: 500;
        margin-bottom: 15px;
      }

      &__button {
        height: 50px;
        padding: 10px 15px;
        margin-right: 10px;
        border: solid 1px #ececec;
        border-radius: map-get($map: $radius, $key: "small");
        background: transparent;
        @include flex-center;
        cursor: pointer;
        font-weight: 500;

        &--selected {
          border: solid 2px $green;
        }

        img {
          width: auto;
          height: 100%;
        }

        svg {
          color: $blue;
          font-size: map-get($map: $title-sizes, $key: "normal");
          margin-right: 10px;
        }

        &__cc {
          width: auto;
          height: 100%;
          margin-right: 15px;
        }
      }
    }

    &__code {
      display: flex;

      &__label {
        width: 30%;
        font-size: map-get($font-sizes, "medium");
        font-weight: 600;

        &__info {
          font-size: map-get($font-sizes, "normal");
          color: $grey;
          font-weight: normal;
        }
      }

      &__input {
        width: 70%;
        display: flex;
        align-items: center;

        &__field {
          width: 80%;
          margin-bottom: 0;

          small {
            position: absolute;
            bottom: -20px;
          }
        }

        button {
          border-radius: 8px;
          font-weight: 500;
          padding: 10px 26px;
          margin-left: 16px;
        }
      }
    }

    &__detail {
      display: flex;
      justify-content: space-between;
      font-weight: 500;
      font-size: map-get($map: $title-sizes, $key: "small");
      margin-bottom: 20px;

      &__label {
        align-items: center;
        font-weight: 500;
        width: 70%;
        display: flex;

        button {
          height: fit-content;
          margin-left: 5px;

          svg {
            line-height: -1px;
          }
        }
      }

      &--total {
        font-weight: 600;
        margin-bottom: 60px;

        & > div:nth-child(2) {
          color: $green;
        }
      }
    }

    &__promo {
      display: flex;
      margin-bottom: 40px;

      &__field{
        display: flex;
        width: 70%;
      }

      &__input {
        width: 86%;
      }

      button {
        padding: 12px 0;
        border-radius: 8px;
        font-weight: 600;
        font-size: 14px;
        margin-left: 16px;
        width: 12%;
      }
    }

    hr {
      margin-bottom: 35px;
    }

    &__button-row {
      display: flex;
      justify-content: center;

      button {
        width: 50%;
        padding: 15px 0;
        font-weight: 500;
      }
    }

    &__error {
      color: $red;
    }
  }

  @include mobile {
    padding-bottom: 40px;

    h1 {
      font-size: map-get($map: $title-sizes, $key: "normal");
    }

    &__detail {
      padding: 20px;
      display: block;

      img {
        width: 100%;
        height: 45vw;
        margin-bottom: 20px;
      }

      &__info {
        h1 {
          font-size: map-get($map: $title-sizes, $key: "small");
        }

        font-size: map-get($map: $font-sizes, $key: "small");
      }
    }

    &__form {
      padding: 20px;

      h5 {
        font-size: map-get($map: $title-sizes, $key: "small");
      }

      hr {
        margin-bottom: 10px;
      }

      &__warning {
        &__spacer {
          height: 30px;
        }
      }

      &__row {
        display: block;
      }

      &__label {
        width: 100%;
        margin-bottom: 10px;
      }

      &__input {
        width: 100%;
        font-size: map-get($map: $font-sizes, $key: "small") !important;

        input {
          font-size: map-get($map: $font-sizes, $key: "small") !important;
        }
      }

      &__info {
        font-size: map-get($map: $font-sizes, $key: "small");
        width: 100%;
      }
    }

    &__payment {
      padding: 20px;

      &__column {
        margin-bottom: 30px;

        h4 {
          font-size: map-get($map: $title-sizes, $key: "small");
          margin-bottom: 20px;
        }
      }

      &__option {
        flex-wrap: wrap;
        margin-bottom: 15px;

        &__title {
          font-size: 1rem;
        }

        &__button {
          height: 35px;
          padding: 8px 12px;
          margin-bottom: 10px;
        }
      }

      &__detail {
        justify-content: space-between;

        &__label {
          font-size: map-get($map: $font-sizes, $key: "normal");
          width: 60%;
        }

        &__amount {
          font-size: map-get($map: $font-sizes, $key: "normal");
          width: 2%;
        }

        &__price {
          width: 30%;
          text-align: right;
          font-size: map-get($map: $font-sizes, $key: "normal");
        }

        &__error {
          font-size: map-get($map: $font-sizes, $key: "normal");
          color: $red;
        }

        &--total {
          & > div:nth-child(2) {
            font-size: map-get($map: $font-sizes, $key: "normal");
          }
        }
      }

      &__code {
        flex-direction: column;
        margin-bottom: 40px;

        &__label {
          width: 100%;
          margin-bottom: 10px;
        }

        &__input {
          width: 100%;

          &__field {
            width: calc(70% - 10px);

            input {
              font-size: map-get($font-sizes, "small");
            }

            small {
              font-size: 10px;
              bottom: -20px;
              width: 150%;
            }
          }

          button {
            padding: 12px;
            font-size: 12px;
            width: 30%;
            margin-left: 10px;
          }
        }
      }

      &__button-row button {
        width: 80%;
        padding: 12px 15px;
        font-size: map-get($map: $font-sizes, $key: "normal");
      }

      &__promo-button {
        font-size: map-get($map: $font-sizes, $key: "normal");
      }

      &__error {
        margin-top: 20px;
        font-size: map-get($map: $font-sizes, $key: "normal");
      }
    }
  }
}

.modal_promo {
  &__dialog {
    max-width: 50% !important;
  }

  &__content {
    padding: 30px 30px 40px !important;

    h4 {
      margin-bottom: 20px;
      font-weight: 600;
    }
  }

  &__handler {
    align-items: center;
    @include justify-content(space-between);

    &__input {
      margin-bottom: 0;
      width: 80%;
      position: relative;

      input {
        width: 100%;
      }

      small {
        position: absolute;
        color: $red;
        bottom: -20px;
        left: 0;
      }
    }

    button {
      padding: 10px 0;
      width: 18%;
    }
  }

  &__available {
    margin-top: 20px;
    max-height: 30vh;
    padding-right: 5px;
    overflow: auto;

    /* width */
    &::-webkit-scrollbar {
      width: 6px;
    }

    /* Track */
    &::-webkit-scrollbar-track {
      background: map-get($map: $bg-colors, $key: "white");
    }

    /* Handle */
    &::-webkit-scrollbar-thumb {
      background: #888;
    }

    /* Handle on hover */
    &::-webkit-scrollbar-thumb:hover {
      background: #555;
    }

    &__container {
      margin-bottom: 20px;
      border-radius: map-get($map: $radius, $key: "small");
      border: 1px solid #ececec;
      padding: 15px 20px;
      cursor: pointer;

      &--active {
        border: 2px solid $green;
      }
    }

    &__title {
      font-weight: 600;
      margin-bottom: 10px;
    }

    &__description {
      font-size: map-get($map: $font-sizes, $key: "normal");
      margin-bottom: 5px;
    }

    &__date {
      font-size: map-get($map: $font-sizes, $key: "small");
      color: $light-grey;
    }
  }

  @include mobile {
    &__dialog {
      max-width: 100% !important;
    }

    &__content {
      padding: 20px 20px 40px 20px !important;

      h4 {
        font-size: map-get($map: $title-sizes, $key: "small");
      }
    }

    &__handler {
      &__input {
        width: 68%;

        input {
          font-size: map-get($map: $font-sizes, $key: "normal");
        }

        small {
          bottom: -40px;
        }
      }

      button {
        width: 30%;
        font-size: map-get($map: $font-sizes, $key: "normal");
      }
    }
  }
}

.modal_ovo {
  &__body {
    padding: 20px;

    &__listening {
      display: flex;
      flex-direction: column;
      align-items: center;
      margin-top: 1rem;
      margin-bottom: 1.5rem;

      &__text {
        margin-top: 1rem;
        font-weight: 600;
        font-size: 1.1rem;
        text-align: center;
      }

      svg {
        font-size: 4rem;
        color: $red;
      }

      &__link {
        color: $green;
        cursor: pointer;
      }
    }

    &__price {
      text-align: center;
      font-size: map-get($map: $font-sizes, $key: "medium");
      margin-bottom: 1rem;

      &__amount {
        font-size: map-get($map: $title-sizes, $key: "normal");
        font-weight: 600;
      }
    }

    &__input {
      &__phone {
        margin-bottom: 20px;
      }

      button {
        width: 100%;
        padding: 10px 0;
        font-weight: 500;
        border-radius: map-get($map: $radius, $key: "small");
      }
    }

    &__notes {
      margin-top: 20px;
      font-size: map-get($map: $font-sizes, $key: "normal");
    }
  }

  &__header {
    text-align: center;
    font-size: map-get($map: $title-sizes, $key: "normal");
    font-weight: 600;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;

    img {
      width: 150px;
    }
  }

  &__footer {
    display: flex;
    justify-content: center !important;

    &__credit {
      font-size: map-get($map: $font-sizes, $key: "normal");
      color: $grey;

      img {
        height: 16px;
      }
    }
  }
}

.modal_qr {
  padding: 40px;
  flex-direction: column;
  align-items: center;

  &__image {
    width: 50%;
    height: auto;
  }

  &__code {
    margin-bottom: 30px;
  }

  &__info {
    font-weight: 500;
    margin-bottom: 20px;
  }

  &__waiting {
    display: flex;
    flex-direction: column;
    align-items: center;

    &__info {
      margin-top: 10px;
    }
  }
}

.modal_credit {
  border-radius: 20px !important;

  h1 {
    font-size: 28px;
    font-weight: 600;
    text-align: center;
    margin-bottom: 30px;
  }

  &__image {
    display: flex;
    justify-content: space-between;
    width: 25%;
    margin: auto;

    img {
      height: 20px;
    }
  }

  &__form {
    padding-top: 50px;

    &__name {
      display: flex;
      justify-content: space-between;

      &__input {
        width: 48%;
      }
    }

    &__info {
      display: flex;
      justify-content: space-between;

      &__select {
        width: 55%;
        position: relative;

        small {
          bottom: 18px;
        }
      }

      &__zip {
        width: 40%;
      }
    }

    &__submit {
      width: 100%;
      font-size: map-get($map: $title-sizes, $key: "small");
      font-weight: 600;
      padding: 14px 0;
    }
  }

  &__bill {
    text-align: center;
    margin-top: 30px;
    margin-bottom: 26px;

    &__label {
      font-size: map-get($map: $title-sizes, $key: "small");
      font-weight: 500;
    }

    &__price {
      font-weight: 600;
      font-size: 26px;
    }
  }

  &__note {
    margin-top: 20px;
    margin-bottom: 30px;
    font-size: map-get($map: $font-sizes, $key: "normal");
  }

  &__xendit {
    text-align: center;
    font-size: map-get($map: $font-sizes, $key: "normal");

    img {
      height: 20px;
    }
  }

  padding: 30px 25px;

  @include mobile {
    &__times {
      top: 10px;
      right: 10px;
    }

    h1 {
      font-size: map-get($map: $title-sizes, $key: "small");
    }

    &__image {
      width: 50%;
    }

    &__form {
      font-size: map-get($map: $font-sizes, $key: "normal");

      &__info__select {
        font-size: 12px !important;
      }

      &__name__input {
        font-size: 12px !important;
      }

      input, textarea {
        font-size: 12px !important;
      }

      &__submit {
        font-size: map-get($map: $font-sizes, $key: "medium");
        font-weight: 500;
      }
    }

    &__bill {
      &__label {
        font-size: map-get($map: $font-sizes, $key: "medium");
      }

      &__price {
        font-size: map-get($map: $title-sizes, $key: "small");
      }
    }

    &__note {
      font-size: map-get($map: $font-sizes, $key: "small");
    }

    &__iframe {
      width: 100%;
    }
  }
}

.modal_listening {
  @include flex-center-column;
  padding: 40px;

  &__text {
    margin-top: 20px;
    text-align: center;
    font-weight: 500;
    font-size: map-get($map: $title-sizes, $key: "small");
  }
}
